/**
 * @license
 * Copyright 2019 Ludan Stoecklé
 * SPDX-License-Identifier: Apache-2.0
 */
export { LanguageCommon } from './LanguageCommon';
export { LanguageCommonEnglish } from './LanguageCommonEnglish';
export { LanguageCommonFrench } from './LanguageCommonFrench';
export { LanguageCommonGerman } from './LanguageCommonGerman';
export { LanguageCommonItalian } from './LanguageCommonItalian';
export { LanguageCommonSpanish } from './LanguageCommonSpanish';
export { LanguageCommonOther } from './LanguageCommonOther';
export { DictManager } from './DictManager';
export { Constants } from './Constants';
export { buildLanguageCommon, getIso2fromLocale } from './helper';
export type VerbInfo = any;
export interface VerbsInfo {
    [key: string]: VerbInfo;
}
export type WordInfo = any;
export interface WordsInfo {
    [key: string]: WordInfo;
}
export type AdjectiveInfo = any;
export interface AdjectivesInfo {
    [key: string]: AdjectiveInfo;
}
export interface LinguisticResources {
    verbs: VerbsInfo;
    words: WordsInfo;
    adjectives: AdjectivesInfo;
}
